

var playerInitTimemediaspace = Date.now();
var playermediaspace = jwplayer("mediaspace");

var playerConfigmediaspace = {
	"playlist": [{
		"sources": [
			

			{ "type": "hls", "label": "Auto-HLS", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673069515_d500455bb394e3f0495c169a979e0046829700a5/2016/08/elizabeth-larkam/4891/video/previews/h264-,504p,720p,360p,216p.m3u8?subtitles=en" },
			{ "type": "mpd", "label": "Auto-MPD", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673069515_d500455bb394e3f0495c169a979e0046829700a5/2016/08/elizabeth-larkam/4891/video/previews/h264-,504p,720p,360p,216p.mpd" }, {}
			
		],
		"image": "//images.pilatesanytime.com/2016/09/07/full_elizabeth_140111_ID2730_k-61756.jpg",
		
		"title": "#2748: Fascia in Motion",
		"description": "This collection was created to accompany Elizabeth Larkam's book, Fascia in Motion, that w...",
		
		"tracks": [
			
			{ "kind": "chapters", "file": "/caption_files/vtt_chapters/7494_chapters.vtt" },
			
			{ "kind": "thumbnails", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673069515_e00f7583aa655138ad1b7f070d00eb5388faa527/2016/08/elizabeth-larkam/4891/thumbs/160x90.vtt" },
			
		{} ]
	}],
	"skin": {
		"url": "https://www.pilatesanytime.com/css/jwplayer8/skins/pilates_jwplayer8_skin.css?v=PIL-3405",
		"name": "tm_skin"
	},
	"playbackRateControls": [0.5, 0.75, 1, 1.25, 1.5, 2.0],
	
	"cast": {
		"appid": "D285D081",
		"logo": "//images.pilatesanytime.com/graphics/pilates/PAlogo_@2x.png",
		"railcolor": "#99cc33"
	},
	
	"width": "100%",
	"aspectratio": "16:9",
	"hlshtml": true,
	"floating": { "dismissible": true } 
};

playermediaspace.setup(playerConfigmediaspace);



if (typeof initJWPlayerMux !== 'undefined') {
	initJWPlayerMux(playermediaspace, {
		debug: false,
		data: {
			property_key: 'f668d87099c7c76bc3eef5935', // required
			page_type: 'watchpage', // (see docs) 'watchpage', 'iframe', or leave empty
			viewer_user_id: '-1', // ex: '12345'
			experiment_name: '', // ex: 'player_test_A'
			sub_property_id: 'pilates', // ex: 'cus-1'

			// Player Metadata
			player_name: 'jwplayer', // ex: 'My Main Player'
			player_version: jwplayer.version.split("+")[0], // ex: '1.0.0'
			player_init_time: playerInitTimemediaspace, // ex: 1451606400000

			// Video Metadata (cleared with 'videochange' event)
			video_id: '7494', // ex: 'abcd123'
			video_title: '7494: Fascia in Motion', // ex: 'My Great Video'
			video_series: 'Elizabeth Larkam', // ex: 'Weekly Great Videos'
			video_producer: '', // ex: 'Bob the Producer'
			video_content_type: '', // 'short', 'movie', 'episode', 'clip', 'trailer', or 'event'
			video_language_code: '', // ex: 'en'
			video_variant_name: '', // ex: 'Spanish Hard Subs'
			video_variant_id: '', // ex: 'abcd1234'
			video_duration: '', // in milliseconds, ex: 120000
			video_stream_type: 'on-demand', // 'live' or 'on-demand'
			video_encoding_variant: '', // ex: 'Variant 1'
			video_cdn: 'fastly' // ex: 'Fastly', 'Cloudfront'
		}
	});
}

var videoIsPlaying = 0;
var asked_resume = 0;


	var requireTermsOK = 1;

	asked_resume = 0;



playermediaspace.on('time', function(evt) { 
	var lastPosition = $("#video_view_pos").val();
	var currentPosition = evt.position;
	videoIsPlaying = 1;
	$("#video_view_pos").val(currentPosition);

	
		getCurrentChapter(currentPosition);
		
		getCurrentTranscriptSegment(currentPosition);
		
		
		// record position in cookie, update form field	  
		//markWatched("mediaProgress");
		var date = new Date();
		date.setTime(date.getTime()+(90*1000));
		document.cookie="last_video_id=7494; secure; expires=" + date.toGMTString();
		document.cookie="last_position=" + currentPosition + "; secure; expires=" + date.toGMTString();
	
});


playermediaspace.on('pause', function(data) { 
	if (videoIsPlaying == 1) { markWatched("mediaStop"); }
	videoIsPlaying = 0;
	if (document.ga) ga('send', 'event', 'video', 'pause', 'video_id', 7494);
});




playermediaspace.on('play', function(data) {
	
	
	var videoIsPlaying = 1;
	position = $('#video_view_pos').val();
	//console.log("onPlay position is: " + position);
	if (position > 0) {
		//if we have not asked them resume question yet...
		if (asked_resume == 0) {
			$('#js-progress-video').hide();
			asked_resume = 1;
			//console.log("resuming playback...");
			doResumemediaspace(position);
		}
	}
	markWatched("mediaPlay");
		
	if (document.ga) ga('send', 'event', 'video', 'play', 'video_id', 7494);

	
});


playermediaspace.on('complete', function() {
	
		markWatched("mediaComplete");
		
		
	if (document.ga) ga('send', 'event', 'video', 'complete', 'video_id', 7494);
	
});




playermediaspace.on('error', function(error) {

	if (document.ga) ga('send', 'event', 'video', 'error', 'video_id', 7494);
	

	var payload = {
		vid: "7494",
		cid: "2748",
		i: "-1",
		e: error,
		c: jwplayer('mediaspace').getConfig()
	};
	
	if (error.message.indexOf("Error loading media: File could not be played") >= 0) {
		//Update their prefs to exclude 720p bad renditions, Show the help div
		$('#playbackIssuesDIV').show();
		
		var file = jwplayer('mediaspace').getConfig().playlist[0].file;
		
		$.ajax({
			async: false,
			timeout: 10,
			url: file,
			type: "GET",
			error: function(xhr, status, innererror) {
				var responseText = xhr.responseText;
				var re = /^Reference\&\#32\;\&\#35\;(.*)$/m;
				var result = responseText.match(re);
				if (result.length > 1) {
					var reference = result[1];
					payload = {
						vid: "7494",
						cid: "2748",
						i: "-1",
						e: error,
						c: jwplayer('mediaspace').getConfig(),
						ar: reference
					};
				}
			}
		});
	}
	else if (error.message.indexOf("Cannot load M3U8: Crossdomain access denied" >= 0)) {
		if ($.cookie("crossdomainReload") !== "true") {
			$.cookie("crossdomainReload", "true");
			// Display brief flash message indicating we're reloading expired video page ?
			location.reload();
		}
		else {
			// Display more friendly error message than the JWPlayer M3U8 access denied?
		}
	}
	else {
		//alert(error.message.indexOf("Error loading media: File could not be played"));
	}
	
	$.ajax({
		type: "POST",
		url: "/jwplayer/jwplayer_error.cfm",
		contentType: "application/json; charset=utf-8",
		data: JSON.stringify(payload),
		success: function(data) {
			//result = $.parseJSON(data);
			//console.log("post result:"+result.error_message);
		}
	});
});


function doPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
}

function doPlayPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
	else {
		playermediaspace.play();
	}
}

function doResumemediaspace(resume_position) {
	playermediaspace.seek(resume_position);
	
	$("#video_view_pos").val(resume_position);
	
}

function getClassURL() {
	new_url = "#";
	
	new_url = '/workshop_view.cfm?class_id=2748';
	
	return new_url;
}


function markWatched(my_action) {		
	var my_position = document.getElementById("video_view_pos").value;
	var instance = new classFunctions();  
	if (my_action == 'mediaPlay' || my_action == 'mediaStop' || my_action == 'mediaComplete' || my_action == 'mediaProgress') {
		var myResult = instance.saveClassView(7494, -1, '-1', my_action, 36955622, my_position);
	}
	document.getElementById("video_view_pos").value = my_position;
}

function jumpToChapter(timecode) { seek(timecode); } // backward compatibility in case of caching; delete after 30 days, this function has been renamed
function seek(timecode) { playermediaspace.seek(timecode); }

function playVideo() { playermediaspace.play(); }


	function getCurrentChapter(cseconds) {
		
		
			if (cseconds >= 0 && cseconds <144) {
				//console.log('Chapter at '+cseconds+' is 600 - The Swan Dive');
				markActiveChapter(600);
			}
			else {
				markInActiveChapter(600);
			}
			
		
			if (cseconds >= 144 && cseconds <372) {
				//console.log('Chapter at '+cseconds+' is 601 - Alternating Neck Pull with Roller & Ring');
				markActiveChapter(601);
			}
			else {
				markInActiveChapter(601);
			}
			
		
			if (cseconds >= 372 && cseconds <642) {
				//console.log('Chapter at '+cseconds+' is 602 - Semicircle with Rotation of the Pelvis');
				markActiveChapter(602);
			}
			else {
				markInActiveChapter(602);
			}
			
		
			if (cseconds >= 642 && cseconds <676) {
				//console.log('Chapter at '+cseconds+' is 603 - Plank with Roller');
				markActiveChapter(603);
			}
			else {
				markInActiveChapter(603);
			}
			
		
			if (cseconds >= 676 && cseconds <731) {
				//console.log('Chapter at '+cseconds+' is 604 - Long Stretch');
				markActiveChapter(604);
			}
			else {
				markInActiveChapter(604);
			}
			
		
			if (cseconds >= 731 && cseconds <950) {
				//console.log('Chapter at '+cseconds+' is 605 - Facing Chair, 1 Foot per Pedal, Hands on Top');
				markActiveChapter(605);
			}
			else {
				markInActiveChapter(605);
			}
			
		
			if (cseconds >= 950 && cseconds <1102) {
				//console.log('Chapter at '+cseconds+' is 606 - Standing Side Leg Kick');
				markActiveChapter(606);
			}
			else {
				markInActiveChapter(606);
			}
			
		
			if (cseconds >= 1102 && cseconds <1427) {
				//console.log('Chapter at '+cseconds+' is 607 - High Kneeling Hip & Knee Extension');
				markActiveChapter(607);
			}
			else {
				markInActiveChapter(607);
			}
			
		
			if (cseconds >= 1427 && cseconds <1794) {
				//console.log('Chapter at '+cseconds+' is 608 - The Spine Twist');
				markActiveChapter(608);
			}
			else {
				markInActiveChapter(608);
			}
			
		
			if (cseconds >= 1794 && cseconds <2067) {
				//console.log('Chapter at '+cseconds+' is 609 - Quadruped Thoracic Rotation');
				markActiveChapter(609);
			}
			else {
				markInActiveChapter(609);
			}
			
		
			if (cseconds >= 2067 && cseconds <2848) {
				//console.log('Chapter at '+cseconds+' is 610 - Differentiated Spine Rotation Standing');
				markActiveChapter(610);
			}
			else {
				markInActiveChapter(610);
			}
			
		
			if (cseconds >= 2848 && cseconds <2891) {
				//console.log('Chapter at '+cseconds+' is 611 - The Leg Pull');
				markActiveChapter(611);
			}
			else {
				markInActiveChapter(611);
			}
			
		
			if (cseconds >= 2891 && cseconds <3091) {
				//console.log('Chapter at '+cseconds+' is 612 - Standing Spine Extension');
				markActiveChapter(612);
			}
			else {
				markInActiveChapter(612);
			}
			
		
			if (cseconds >= 3091 && cseconds <3417) {
				//console.log('Chapter at '+cseconds+' is 613 - Prone Spine Rotation & Extension');
				markActiveChapter(613);
			}
			else {
				markInActiveChapter(613);
			}
			
		
			if (cseconds >= 3417 && cseconds <3516) {
				//console.log('Chapter at '+cseconds+' is 614 - The Leg Pull Front');
				markActiveChapter(614);
			}
			else {
				markInActiveChapter(614);
			}
			
		
			if (cseconds >= 3516 && cseconds <3696) {
				//console.log('Chapter at '+cseconds+' is 615 - Quadruped Thoracic Rotation Version 1');
				markActiveChapter(615);
			}
			else {
				markInActiveChapter(615);
			}
			
		
			if (cseconds >= 3696 && cseconds <3878) {
				//console.log('Chapter at '+cseconds+' is 616 - Quadruped Thoracic Rotation Version 2');
				markActiveChapter(616);
			}
			else {
				markInActiveChapter(616);
			}
			
		
			if (cseconds >= 3878 && cseconds <4362) {
				//console.log('Chapter at '+cseconds+' is 617 - The Side Bend');
				markActiveChapter(617);
			}
			else {
				markInActiveChapter(617);
			}
			
		
			if (cseconds >= 4362 && cseconds <4882) {
				//console.log('Chapter at '+cseconds+' is 618 - Elastic Recoil Arm Jumps at the Wall');
				markActiveChapter(618);
			}
			else {
				markInActiveChapter(618);
			}
			
		
			if (cseconds >= 4882 && cseconds <5003) {
				//console.log('Chapter at '+cseconds+' is 619 - Elastic Recoil Training of the Arms');
				markActiveChapter(619);
			}
			else {
				markInActiveChapter(619);
			}
			
		
			if (cseconds >= 5003 && cseconds <5152) {
				//console.log('Chapter at '+cseconds+' is 620 - Single Arm Push Up');
				markActiveChapter(620);
			}
			else {
				markInActiveChapter(620);
			}
			
		
			if (cseconds >= 5152 && cseconds <5282) {
				//console.log('Chapter at '+cseconds+' is 621 - Roll Up on the Roller with Ring');
				markActiveChapter(621);
			}
			else {
				markInActiveChapter(621);
			}
			
		
			if (cseconds >= 5282 && cseconds <5354) {
				//console.log('Chapter at '+cseconds+' is 622 - Single Leg Kick');
				markActiveChapter(622);
			}
			else {
				markInActiveChapter(622);
			}
			
		
			if (cseconds >= 5354 && cseconds <5486) {
				//console.log('Chapter at '+cseconds+' is 623 - The Shoulder Bridge');
				markActiveChapter(623);
			}
			else {
				markInActiveChapter(623);
			}
			
		
			if (cseconds >= 5486 && cseconds <5584) {
				//console.log('Chapter at '+cseconds+' is 624 - The Double Kick');
				markActiveChapter(624);
			}
			else {
				markInActiveChapter(624);
			}
			
		
			if (cseconds >= 5584 && cseconds <5754) {
				//console.log('Chapter at '+cseconds+' is 625 - The Rocking');
				markActiveChapter(625);
			}
			else {
				markInActiveChapter(625);
			}
			
		
			if (cseconds >= 5754 && cseconds <5906) {
				//console.log('Chapter at '+cseconds+' is 626 - Roll Up');
				markActiveChapter(626);
			}
			else {
				markInActiveChapter(626);
			}
			
		
			if (cseconds >= 5906 && cseconds <6005) {
				//console.log('Chapter at '+cseconds+' is 627 - Supine Axial Rotation');
				markActiveChapter(627);
			}
			else {
				markInActiveChapter(627);
			}
			
		
			if (cseconds >= 6005 && cseconds <6078) {
				//console.log('Chapter at '+cseconds+' is 628 - Bridging with Rotation');
				markActiveChapter(628);
			}
			else {
				markInActiveChapter(628);
			}
			
		
			if (cseconds >= 6078 && cseconds <6191) {
				//console.log('Chapter at '+cseconds+' is 629 - Prone Longitudinal Rotation');
				markActiveChapter(629);
			}
			else {
				markInActiveChapter(629);
			}
			
		
			if (cseconds >= 6191 && cseconds <6284) {
				//console.log('Chapter at '+cseconds+' is 630 - Bridging with Rotation');
				markActiveChapter(630);
			}
			else {
				markInActiveChapter(630);
			}
			
		
			if (cseconds >= 6284 && cseconds <6429) {
				//console.log('Chapter at '+cseconds+' is 631 - Bridging with Lateral Translation');
				markActiveChapter(631);
			}
			else {
				markInActiveChapter(631);
			}
			
		
			if (cseconds >= 6429 && cseconds <6593) {
				//console.log('Chapter at '+cseconds+' is 632 - Bridge with Rotation & Pelvic Lateral Translation');
				markActiveChapter(632);
			}
			else {
				markInActiveChapter(632);
			}
			
		
			if (cseconds >= 6593 && cseconds <6703) {
				//console.log('Chapter at '+cseconds+' is 633 - Single Leg Bridge with Pelvic Rotation');
				markActiveChapter(633);
			}
			else {
				markInActiveChapter(633);
			}
			
		
			if (cseconds >= 6703 && cseconds <6960) {
				//console.log('Chapter at '+cseconds+' is 634 - Prone Upper Thoracic Lateral Translation');
				markActiveChapter(634);
			}
			else {
				markInActiveChapter(634);
			}
			
		
			if (cseconds >= 6960 && cseconds <7125) {
				//console.log('Chapter at '+cseconds+' is 635 - Prone Thoracic Extension, Forehead on Hands');
				markActiveChapter(635);
			}
			else {
				markInActiveChapter(635);
			}
			
		
			if (cseconds >= 7125 && cseconds <7218) {
				//console.log('Chapter at '+cseconds+' is 636 - Prone Thoracic Extension, Hands at Top of Head');
				markActiveChapter(636);
			}
			else {
				markInActiveChapter(636);
			}
			
		
			if (cseconds >= 7218 && cseconds <7357) {
				//console.log('Chapter at '+cseconds+' is 637 - ');
				markActiveChapter(637);
			}
			else {
				markInActiveChapter(637);
			}
			
		
			if (cseconds >= 7357 && cseconds <7547) {
				//console.log('Chapter at '+cseconds+' is 638 - Quadruped Hand to Foot');
				markActiveChapter(638);
			}
			else {
				markInActiveChapter(638);
			}
			
		
			if (cseconds >= 7547 && cseconds <7737) {
				//console.log('Chapter at '+cseconds+' is 639 - Supine One Leg Circle with Neutral Spine');
				markActiveChapter(639);
			}
			else {
				markInActiveChapter(639);
			}
			
		
			if (cseconds >= 7737 && cseconds <7954) {
				//console.log('Chapter at '+cseconds+' is 640 - Quadruped Spine Extension');
				markActiveChapter(640);
			}
			else {
				markInActiveChapter(640);
			}
			
		
			if (cseconds >= 7954 && cseconds <8094) {
				//console.log('Chapter at '+cseconds+' is 641 - High Kneeling Side Leg Circles');
				markActiveChapter(641);
			}
			else {
				markInActiveChapter(641);
			}
			
		
			if (cseconds >= 8094 && cseconds <8543) {
				//console.log('Chapter at '+cseconds+' is 642 - Side Lying Spine Articulation');
				markActiveChapter(642);
			}
			else {
				markInActiveChapter(642);
			}
			
		
			if (cseconds >= 8543 && cseconds <8675) {
				//console.log('Chapter at '+cseconds+' is 643 - Prone Swan with Roller');
				markActiveChapter(643);
			}
			else {
				markInActiveChapter(643);
			}
			
		
			if (cseconds >= 8675 && cseconds <9238) {
				//console.log('Chapter at '+cseconds+' is 644 - Supine on Roller');
				markActiveChapter(644);
			}
			else {
				markInActiveChapter(644);
			}
			
		
			if (cseconds >= 9238 && cseconds <9291) {
				//console.log('Chapter at '+cseconds+' is 645 - Neck Pull with Bridging');
				markActiveChapter(645);
			}
			else {
				markInActiveChapter(645);
			}
			
		
			if (cseconds >= 9291 && cseconds <9394) {
				//console.log('Chapter at '+cseconds+' is 646 - Standing with Roller & Ring');
				markActiveChapter(646);
			}
			else {
				markInActiveChapter(646);
			}
			
		
			if (cseconds >= 9394 && cseconds <9448) {
				//console.log('Chapter at '+cseconds+' is 647 - Standing with Roller & Ring');
				markActiveChapter(647);
			}
			else {
				markInActiveChapter(647);
			}
			
		
			if (cseconds >= 9448 && cseconds <9502) {
				//console.log('Chapter at '+cseconds+' is 648 - Standing with Roller & Ring');
				markActiveChapter(648);
			}
			else {
				markInActiveChapter(648);
			}
			
		
			if (cseconds >= 9502 && cseconds <9570) {
				//console.log('Chapter at '+cseconds+' is 649 - Squats Standing on a Roller');
				markActiveChapter(649);
			}
			else {
				markInActiveChapter(649);
			}
			
		
			if (cseconds >= 9570 && cseconds <10005) {
				//console.log('Chapter at '+cseconds+' is 650 - Lateral Translation of Thorax & Pelvis');
				markActiveChapter(650);
			}
			else {
				markInActiveChapter(650);
			}
			
		
			if (cseconds >= 10005 && cseconds <10130) {
				//console.log('Chapter at '+cseconds+' is 651 - Supine Femur Circles Alternating Hip Rotation');
				markActiveChapter(651);
			}
			else {
				markInActiveChapter(651);
			}
			
		
			if (cseconds >= 10130 && cseconds <10241) {
				//console.log('Chapter at '+cseconds+' is 652 - Supine Single Leg Abduction & Adduction');
				markActiveChapter(652);
			}
			else {
				markInActiveChapter(652);
			}
			
		
			if (cseconds >= 10241 && cseconds <10424) {
				//console.log('Chapter at '+cseconds+' is 653 - Standing Lunge Hip Rotation');
				markActiveChapter(653);
			}
			else {
				markInActiveChapter(653);
			}
			
		
			if (cseconds >= 10424 && cseconds <10692) {
				//console.log('Chapter at '+cseconds+' is 654 - Standing Lunge Hip Rotation');
				markActiveChapter(654);
			}
			else {
				markInActiveChapter(654);
			}
			
		
			if (cseconds >= 10692 && cseconds <10908) {
				//console.log('Chapter at '+cseconds+' is 655 - Standing Medial Hip Glide ');
				markActiveChapter(655);
			}
			else {
				markInActiveChapter(655);
			}
			
		
			if (cseconds >= 10908 && cseconds <11303) {
				//console.log('Chapter at '+cseconds+' is 656 - Bridging with Rotation');
				markActiveChapter(656);
			}
			else {
				markInActiveChapter(656);
			}
			
		
			if (cseconds >= 11303 && cseconds <11808) {
				//console.log('Chapter at '+cseconds+' is 657 - Quadruped Thoracic Rotation w/Lateral Translation');
				markActiveChapter(657);
			}
			else {
				markInActiveChapter(657);
			}
			
		
			if (cseconds >= 11808 && cseconds <12103) {
				//console.log('Chapter at '+cseconds+' is 658 - Standing Thoracic Rotation');
				markActiveChapter(658);
			}
			else {
				markInActiveChapter(658);
			}
			
		
			if (cseconds >= 12103 && cseconds <12633) {
				//console.log('Chapter at '+cseconds+' is 659 - Seated Thoracic Lateral Flexion & Rotation');
				markActiveChapter(659);
			}
			else {
				markInActiveChapter(659);
			}
			
		
			if (cseconds >= 12633 && cseconds <12878) {
				//console.log('Chapter at '+cseconds+' is 660 - Prone on Long Box Thoracic Extension');
				markActiveChapter(660);
			}
			else {
				markInActiveChapter(660);
			}
			
		
			if (cseconds >= 12878 && cseconds <13057) {
				//console.log('Chapter at '+cseconds+' is 661 - Preparation for Side Lying Hip & Knee ');
				markActiveChapter(661);
			}
			else {
				markInActiveChapter(661);
			}
			
		
			if (cseconds >= 13057 && cseconds <13465) {
				//console.log('Chapter at '+cseconds+' is 662 - Differentiated Spine Rotation in Kneeling');
				markActiveChapter(662);
			}
			else {
				markInActiveChapter(662);
			}
			
		
			if (cseconds >= 13465 && cseconds <13910) {
				//console.log('Chapter at '+cseconds+' is 663 - Differentiated Spine Rotation in Standing');
				markActiveChapter(663);
			}
			else {
				markInActiveChapter(663);
			}
			
		
			if (cseconds >= 13910 && cseconds <14314) {
				//console.log('Chapter at '+cseconds+' is 664 - Standing Side Splits with Thoracic Flexion');
				markActiveChapter(664);
			}
			else {
				markInActiveChapter(664);
			}
			
		
			if (cseconds >= 14314 && cseconds <14988) {
				//console.log('Chapter at '+cseconds+' is 665 - Standing Side Splits');
				markActiveChapter(665);
			}
			else {
				markInActiveChapter(665);
			}
			
		
			if (cseconds >= 14988 && cseconds <15275) {
				//console.log('Chapter at '+cseconds+' is 666 - Standing Assisted Squats Next to Reformer');
				markActiveChapter(666);
			}
			else {
				markInActiveChapter(666);
			}
			
		
			if (cseconds >= 15275 && cseconds <15614) {
				//console.log('Chapter at '+cseconds+' is 667 - Standing Assisted Squats on Reformer');
				markActiveChapter(667);
			}
			else {
				markInActiveChapter(667);
			}
			
		
			if (cseconds >= 15614 && cseconds <15792) {
				//console.log('Chapter at '+cseconds+' is 668 - Elastic Recoil Training of the Arms');
				markActiveChapter(668);
			}
			else {
				markInActiveChapter(668);
			}
			
		
			if (cseconds >= 15792 && cseconds <15922) {
				//console.log('Chapter at '+cseconds+' is 669 - Elastic Recoil Training of the Legs');
				markActiveChapter(669);
			}
			else {
				markInActiveChapter(669);
			}
			
		
			if (cseconds >= 15922 && cseconds <16055) {
				//console.log('Chapter at '+cseconds+' is 670 - Elastic Recoil Training of the Legs');
				markActiveChapter(670);
			}
			else {
				markInActiveChapter(670);
			}
			
		
			if (cseconds >= 16055 && cseconds <16186) {
				//console.log('Chapter at '+cseconds+' is 671 - Elastic Recoil Training of the Legs');
				markActiveChapter(671);
			}
			else {
				markInActiveChapter(671);
			}
			
		
			if (cseconds >= 16186 && cseconds <16240) {
				//console.log('Chapter at '+cseconds+' is 672 - Elastic Recoil Training of the Legs');
				markActiveChapter(672);
			}
			else {
				markInActiveChapter(672);
			}
			
		
			if (cseconds >= 16240 && cseconds <16298) {
				//console.log('Chapter at '+cseconds+' is 673 - Elastic Recoil Training of the Legs');
				markActiveChapter(673);
			}
			else {
				markInActiveChapter(673);
			}
			
		
			if (cseconds >= 16298 && cseconds <16737) {
				//console.log('Chapter at '+cseconds+' is 674 - Seated on Chair, Lateral Spine Flexion');
				markActiveChapter(674);
			}
			else {
				markInActiveChapter(674);
			}
			
		
			if (cseconds >= 16737 && cseconds <17271) {
				//console.log('Chapter at '+cseconds+' is 675 - Seated Side Chair Pedal Single Leg');
				markActiveChapter(675);
			}
			else {
				markInActiveChapter(675);
			}
			
		
			if (cseconds >= 17271 && cseconds <17729) {
				//console.log('Chapter at '+cseconds+' is 676 - Standing Ankle Plantar/Dorsi Flexion');
				markActiveChapter(676);
			}
			else {
				markInActiveChapter(676);
			}
			
		
			if (cseconds >= 17729 && cseconds <18004) {
				//console.log('Chapter at '+cseconds+' is 677 - Side to Chair, One Foot per Pedal');
				markActiveChapter(677);
			}
			else {
				markInActiveChapter(677);
			}
			
		
			if (cseconds >= 18004 && cseconds <18291) {
				//console.log('Chapter at '+cseconds+' is 678 - Side to Chair, Inside Foot');
				markActiveChapter(678);
			}
			else {
				markInActiveChapter(678);
			}
			
		
			if (cseconds >= 18291 && cseconds <18432) {
				//console.log('Chapter at '+cseconds+' is 679 - Prone Scapula Patterning');
				markActiveChapter(679);
			}
			else {
				markInActiveChapter(679);
			}
			
		
			if (cseconds >= 18432 && cseconds <18807) {
				//console.log('Chapter at '+cseconds+' is 680 - Supine to Side Lying Assisted Trunk Rotation');
				markActiveChapter(680);
			}
			else {
				markInActiveChapter(680);
			}
			
		
			if (cseconds >= 18807 && cseconds <19105) {
				//console.log('Chapter at '+cseconds+' is 681 - Seated on Rotator Disc, Scapular Depression');
				markActiveChapter(681);
			}
			else {
				markInActiveChapter(681);
			}
			
		
			if (cseconds >= 19105 && cseconds <19314) {
				//console.log('Chapter at '+cseconds+' is 682 - Seated Circle Saw');
				markActiveChapter(682);
			}
			else {
				markInActiveChapter(682);
			}
			
		
			if (cseconds >= 19314 && cseconds <19679) {
				//console.log('Chapter at '+cseconds+' is 683 - Parakeet with Single Hip Flexion');
				markActiveChapter(683);
			}
			else {
				markInActiveChapter(683);
			}
			
		
			if (cseconds >= 19679 && cseconds <19875) {
				//console.log('Chapter at '+cseconds+' is 684 - Bridge with Extended Knees');
				markActiveChapter(684);
			}
			else {
				markInActiveChapter(684);
			}
			
		
			if (cseconds >= 19875 && cseconds <20207) {
				//console.log('Chapter at '+cseconds+' is 685 - Thigh Stretch in the Sagittal Plane');
				markActiveChapter(685);
			}
			else {
				markInActiveChapter(685);
			}
			
		
			if (cseconds >= 20207 && cseconds <20681) {
				//console.log('Chapter at '+cseconds+' is 686 - Foot Corrector Movement Sequences');
				markActiveChapter(686);
			}
			else {
				markInActiveChapter(686);
			}
			
		
			if (cseconds >= 20681 && cseconds <20925) {
				//console.log('Chapter at '+cseconds+' is 687 - The Leg Pull Front Rocking');
				markActiveChapter(687);
			}
			else {
				markInActiveChapter(687);
			}
			
		
			if (cseconds >= 20925 && cseconds <21050) {
				//console.log('Chapter at '+cseconds+' is 688 - The Swan Dive');
				markActiveChapter(688);
			}
			else {
				markInActiveChapter(688);
			}
			
		
			if (cseconds >= 21050 && cseconds <21194) {
				//console.log('Chapter at '+cseconds+' is 689 - Standing Weight Shifts in Coronal Plane');
				markActiveChapter(689);
			}
			else {
				markInActiveChapter(689);
			}
			
		
			if (cseconds >= 21194 && cseconds <21374) {
				//console.log('Chapter at '+cseconds+' is 690 - Standing Weight Shifts in Sagittal Plane');
				markActiveChapter(690);
			}
			else {
				markInActiveChapter(690);
			}
			
		
			if (cseconds >= 21374 && cseconds <21547) {
				//console.log('Chapter at '+cseconds+' is 691 - Standing Weight Shifts Away from the Wall');
				markActiveChapter(691);
			}
			else {
				markInActiveChapter(691);
			}
			
		
			if (cseconds >= 21547 && cseconds <21713) {
				//console.log('Chapter at '+cseconds+' is 692 - Single Overhead Elbow Extension');
				markActiveChapter(692);
			}
			else {
				markInActiveChapter(692);
			}
			
		
			if (cseconds >= 21713 && cseconds <21789) {
				//console.log('Chapter at '+cseconds+' is 693 - Spine Extension During Hip Extension');
				markActiveChapter(693);
			}
			else {
				markInActiveChapter(693);
			}
			
		
			if (cseconds >= 21789 && cseconds <21930) {
				//console.log('Chapter at '+cseconds+' is 694 - Reformer Quadruped Single Hip Extension');
				markActiveChapter(694);
			}
			else {
				markInActiveChapter(694);
			}
			
		
			if (cseconds >= 21930 && cseconds <22019) {
				//console.log('Chapter at '+cseconds+' is 695 - Quadruped Single Leg Circles Outside Foot');
				markActiveChapter(695);
			}
			else {
				markInActiveChapter(695);
			}
			
		
			if (cseconds >= 22019 && cseconds <22389) {
				//console.log('Chapter at '+cseconds+' is 696 - Trapeze Table with Head Sling');
				markActiveChapter(696);
			}
			else {
				markInActiveChapter(696);
			}
			
		
			if (cseconds >= 22389 && cseconds <22627) {
				//console.log('Chapter at '+cseconds+' is 697 - Supine Assisted Cervical Rotation');
				markActiveChapter(697);
			}
			else {
				markInActiveChapter(697);
			}
			
		
			if (cseconds >= 22627 && cseconds <22921) {
				//console.log('Chapter at '+cseconds+' is 698 - High Kneeling Overhead Arm Press');
				markActiveChapter(698);
			}
			else {
				markInActiveChapter(698);
			}
			
		
			if (cseconds >= 22921 && cseconds <23037) {
				//console.log('Chapter at '+cseconds+' is 699 - Prone Forehead on Hands');
				markActiveChapter(699);
			}
			else {
				markInActiveChapter(699);
			}
			
		
			if (cseconds >= 23037 && cseconds <23172) {
				//console.log('Chapter at '+cseconds+' is 700 - Prone Thoracic & Cervical Extension');
				markActiveChapter(700);
			}
			else {
				markInActiveChapter(700);
			}
			
		
			if (cseconds >= 23172 && cseconds <23428) {
				//console.log('Chapter at '+cseconds+' is 701 - Prone on Chair Spine Extension');
				markActiveChapter(701);
			}
			else {
				markInActiveChapter(701);
			}
			
		
			if (cseconds >= 23428 && cseconds <23590) {
				//console.log('Chapter at '+cseconds+' is 702 - Prone on Chair Spine Rotation & Extension');
				markActiveChapter(702);
			}
			else {
				markInActiveChapter(702);
			}
			
		
			if (cseconds >= 23590 && cseconds <23759) {
				//console.log('Chapter at '+cseconds+' is 703 - Standing Alignment');
				markActiveChapter(703);
			}
			else {
				markInActiveChapter(703);
			}
			
		
			if (cseconds >= 23759 && cseconds <24417) {
				//console.log('Chapter at '+cseconds+' is 704 - Functional Footprints');
				markActiveChapter(704);
			}
			else {
				markInActiveChapter(704);
			}
			
		
			if (cseconds >= 24417 && cseconds <24914) {
				//console.log('Chapter at '+cseconds+' is 705 - Proprioceptive Stimulation of Feet Using Balls');
				markActiveChapter(705);
			}
			else {
				markInActiveChapter(705);
			}
			
		
			if (cseconds >= 24914 && cseconds <25147) {
				//console.log('Chapter at '+cseconds+' is 706 - Seated Leg Press Heels on Pedals');
				markActiveChapter(706);
			}
			else {
				markInActiveChapter(706);
			}
			
		
			if (cseconds >= 25147 && cseconds <25233) {
				//console.log('Chapter at '+cseconds+' is 707 - Seated Leg Press Toes on Pedals');
				markActiveChapter(707);
			}
			else {
				markInActiveChapter(707);
			}
			
		
			if (cseconds >= 25233 && cseconds <25387) {
				//console.log('Chapter at '+cseconds+' is 708 - Quadruped Hip Extension Neutral Pelvis');
				markActiveChapter(708);
			}
			else {
				markInActiveChapter(708);
			}
			
		
			if (cseconds >= 25387 && cseconds <25608) {
				//console.log('Chapter at '+cseconds+' is 709 - Reformer with Tower Sequences for Knee');
				markActiveChapter(709);
			}
			else {
				markInActiveChapter(709);
			}
			
		
			if (cseconds >= 25608 && cseconds <26830) {
				//console.log('Chapter at '+cseconds+' is 710 - Foot Exercises Practiced Seated');
				markActiveChapter(710);
			}
			else {
				markInActiveChapter(710);
			}
			
		
			if (cseconds >= 26830 && cseconds <27179) {
				//console.log('Chapter at '+cseconds+' is 711 - Foot Exercises Practiced Standing');
				markActiveChapter(711);
			}
			else {
				markInActiveChapter(711);
			}
			
		
			if (cseconds >= 27179 && cseconds <27902) {
				//console.log('Chapter at '+cseconds+' is 712 - Side Lying Roller Assisted Counter Rotation');
				markActiveChapter(712);
			}
			else {
				markInActiveChapter(712);
			}
			
		
			if (cseconds >= 27902 && cseconds <28069) {
				//console.log('Chapter at '+cseconds+' is 713 - Side Lying Roller Assisted Counter Rotation');
				markActiveChapter(713);
			}
			else {
				markInActiveChapter(713);
			}
			
		
			if (cseconds >= 28069 && cseconds <28340) {
				//console.log('Chapter at '+cseconds+' is 714 - Bridging with Rotation');
				markActiveChapter(714);
			}
			else {
				markInActiveChapter(714);
			}
			
		
			if (cseconds >= 28340 && cseconds <28436) {
				//console.log('Chapter at '+cseconds+' is 715 - Bridging with Rotation');
				markActiveChapter(715);
			}
			else {
				markInActiveChapter(715);
			}
			
		
			if (cseconds >= 28436 && cseconds <28733) {
				//console.log('Chapter at '+cseconds+' is 716 - Supine Longitudinal Rotation');
				markActiveChapter(716);
			}
			else {
				markInActiveChapter(716);
			}
			
		
			if (cseconds >= 28733 && cseconds <28848) {
				//console.log('Chapter at '+cseconds+' is 717 - Quadruped Spine Extension');
				markActiveChapter(717);
			}
			else {
				markInActiveChapter(717);
			}
			
		
			if (cseconds >= 28848 && cseconds <29031) {
				//console.log('Chapter at '+cseconds+' is 718 - Side Lying Leg Kick');
				markActiveChapter(718);
			}
			else {
				markInActiveChapter(718);
			}
			
		
			if (cseconds >= 29031 && cseconds <29162) {
				//console.log('Chapter at '+cseconds+' is 719 - The One Leg Kick');
				markActiveChapter(719);
			}
			else {
				markInActiveChapter(719);
			}
			
		
			if (cseconds >= 29162 && cseconds <29289) {
				//console.log('Chapter at '+cseconds+' is 720 - Quadruped Spine Extension, Hand to Opposite Foot');
				markActiveChapter(720);
			}
			else {
				markInActiveChapter(720);
			}
			
		
			if (cseconds >= 29289 && cseconds <29445) {
				//console.log('Chapter at '+cseconds+' is 721 - Quadruped Spine Extension, Hand to Same Side Foot');
				markActiveChapter(721);
			}
			else {
				markInActiveChapter(721);
			}
			
		
			if (cseconds >= 29445 && cseconds <29631) {
				//console.log('Chapter at '+cseconds+' is 722 - Kneeling Side Leg Circles');
				markActiveChapter(722);
			}
			else {
				markInActiveChapter(722);
			}
			
		
			if (cseconds >= 29631 && cseconds <29925) {
				//console.log('Chapter at '+cseconds+' is 723 - Standing Supported Weight Shifts');
				markActiveChapter(723);
			}
			else {
				markInActiveChapter(723);
			}
			
		
			if (cseconds >= 29925 && cseconds <30253) {
				//console.log('Chapter at '+cseconds+' is 724 - Tribute to Daphne');
				markActiveChapter(724);
			}
			else {
				markInActiveChapter(724);
			}
			
		
			if (cseconds >= 30253 && cseconds <30324) {
				//console.log('Chapter at '+cseconds+' is 725 - Guimberteau Figure 1.40');
				markActiveChapter(725);
			}
			else {
				markInActiveChapter(725);
			}
			
		
			if (cseconds >= 30324 && cseconds <30324) {
				//console.log('Chapter at '+cseconds+' is 726 - Guimberteau Figure 7.4');
				markActiveChapter(726);
			}
			else {
				markInActiveChapter(726);
			}
			
		
			if (cseconds >= 30324 && cseconds <30574) {
				//console.log('Chapter at '+cseconds+' is 727 - Supine Assisted Cervical Rotation with Footwork');
				markActiveChapter(727);
			}
			else {
				markInActiveChapter(727);
			}
			
		
	}
	
	function markActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (!this_chapter.hasClass('tm-card-active')) {
			this_chapter.addClass('tm-card-active');
			scrollToChapter(my_chapter_id);
		}
	}
	function markInActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (this_chapter.hasClass('tm-card-active')) {
			this_chapter.removeClass('tm-card-active');
		}
	}

	prior_seconds = -1;
	
	function getCurrentTranscriptSegment(cseconds) {
		var rounded_seconds = parseInt(cseconds);
		if (rounded_seconds != prior_seconds) {
			scrollToTranscriptSegment(rounded_seconds,prior_seconds);
			prior_seconds = rounded_seconds;
		}
		
	}
